{
  inputs',
  packages',
  pkgs,
}:
pkgs.stdenv.mkDerivation {
  name = "infra-env";
  buildInputs =
    [
      (with pkgs.callPackage (pkgs.path + "/nixos") {configuration = {};};
        with config.system.build; [
          nixos-generate-config
          nixos-install
          nixos-enter
          manual.manpages
        ])
    ]
    ++ (with pkgs; [
      inputs'.colmena.packages.colmena
      nixos-install-tools
      dconf2nix
      inputs'.nixos-anywhere.packages.nixos-anywhere
      nurl

      just
      git-crypt
      vcsh
      gnupg
      git
      ripgrep
      lm_sensors
      pass
      prs
      fuzzel
      wofi
      age
      age-plugin-yubikey
      ssh-to-age
      yubico-piv-tool
      inputs'.sops-nix.packages.default
      sops

      apacheHttpd

      vncdo
      tesseract
      imagemagick

      nmap
      sysstat
      lshw
      xxHash
      linssid
      wavemon
      wirelesstools

      zathura
      xorg.xwininfo
      glxinfo
      autorandr
      arandr
      playerctl
      x11docker
      fwupd

      ntfy

      hedgedoc-cli

      xwayland
      (banana-accounting.overrideDerivation (attrs:
        with inputs'.nixpkgs-2211.legacyPackages; {
          # dontWrapGApps = true;

          srcs = builtins.fetchurl {
            # hosted via https://web3.storage
            url = "https://bafybeiabi4m2i4izummipbl5wzhwxjyjt2rylgsrahhkh7i63piwd37n4u.ipfs.w3s.link/mfpcksczayaqqx8fdacp0627zm36c001-bananaplus.tgz";

            sha256 = "09666iqzqdw2526pf6bg5kd0hfw0wblw8ag636ki72dsiw6bmbf1";
          };

          # nativeBuildInputs =
          #   attrs.nativeBuildInputs
          #   ++ [
          #     qt5.qtbase
          #     qt5.wrapQtAppsHook
          #   ];

          # buildInputs =
          #   attrs.buildInputs
          #   ++ [
          #     qt5.qtwayland
          #   ];

          # preFixup =
          #   (attrs.preFixup or "")
          #   + ''
          #     qtWrapperArgs+=("''${gappsWrapperArgs[@]}")
          #   '';
        }))
    ]);

  # Set Environment Variables
  RUST_BACKTRACE = 1;
}
